Subject: [PATCH 7/8] ARM: OMAP: Remove plat/io.h by moving it into mach/io.h

From: [email-masked] (Tony Lindgren)
Date: Wed, 29 Feb 2012 16:39:39 -0800

* Russell King - ARM Linux <[email-masked]> [120229 15:40]:
> On Wed, Feb 29, 2012 at 05:59:27PM -0600, Rob Herring wrote:
> > BTW, all these includes need to get removed. I'll add a fix to my series
> > unless you already have fixes:
> > 
> > arch/arm/mach-omap1/sleep.S:#include <mach/io.h>
> > arch/arm/mach-omap1/sram.S:#include <mach/io.h>
> > arch/arm/plat-omap/include/plat/sdrc.h:#include <mach/io.h>
> > drivers/media/video/davinci/vpbe_osd.c:#include <mach/io.h>
> > drivers/media/video/davinci/vpbe_venc.c:#include <mach/io.h>
> > drivers/video/omap2/vrfb.c:#include <mach/io.h>
> 
> All the ones included from .h and .c files should be using linux/io.h
> and not some other derivative.

Oops looks like I missed some files while fixing up the .c files.
The .S files should be able to just use the local header now.

I'll do a patch for that, won't touch the davinci files though.

Regards,

Tony